PaidGoods
API referenceReporting

Save an invoice filter

PUT
/v1/stores/{storeId}/reporting/invoice-filters

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/reporting/invoice-filters" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "filters": {}  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "filters": {    "status": "all",    "statuses": [      "paid"    ],    "q": "string",    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z",    "paymentMethodIds": [      "401360c0-c7a3-48c3-b1b5-4f257945ed5d"    ],    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "archived": true,    "email": "string",    "ip": "string",    "country": "st",    "discordId": "string",    "productName": "string",    "variantName": "string",    "couponCode": "string",    "customFieldValue": "string",    "manual": true,    "utmSource": "string",    "utmMedium": "string",    "utmCampaign": "string",    "utmTerm": "string",    "utmContent": "string",    "sort": "created_desc",    "productIds": [      "ab269553-289b-4dda-82f7-ac36b3555fb3"    ]  },  "createdAt": "string",  "updatedAt": "string"}